package xunji

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xunji"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /xunji/delete xunji DeleteXunji
//
// Delete xunji information | 删除Xunji信息
//
// Delete xunji information | 删除Xunji信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDsReq
//
// Responses:
//  200: BaseMsgResp

func DeleteXunjiHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDsReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xunji.NewDeleteXunjiLogic(r.Context(), svcCtx)
		resp, err := l.DeleteXunji(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
